Package Details: pencil2d-git 2517.3cc8eba2-1

Git Clone URL: https://aur.archlinux.org/pencil2d-git.git (read-only)
Package Base: pencil2d-git
Description: Animation/drawing software, that lets you create traditional hand-drawn animation using both bitmap and vector graphics
Upstream URL: http://www.pencil2d.org/
Licenses: GPL
Conflicts: pencil2d
Provides: pencil2d
Submitter: benjarobin
Maintainer: benjarobin
Last Packager: benjarobin
Votes: 15
Popularity: 0.208417
First Submitted: 2013-09-15 14:29
Last Updated: 2017-08-26 09:23

Latest Comments

jneem commented on 2017-08-22 21:48

This package seems to require qt5-xmlpatterns as an additional depencency. Before installing it, I got the error

cd core_lib/ && ( test -e Makefile || /usr/bin/qmake -o Makefile /home/jneeman/.cache/pacaur/pencil2d-git/src/pencil2d/core_lib/core_lib.pro PREFIX=/usr ) && make -f Makefile
Project ERROR: Unknown module(s) in QT: xmlpatterns
make: *** [Makefile:135: sub-core_lib-make_first-ordered] Error 3
==> ERROR: A failure occurred in build().
Aborting...

benjarobin commented on 2017-07-05 21:38

Thank you for the comments. The only side effect is that the application binary is now named Pencil2D instead of pencil2d

J5lx commented on 2017-07-05 21:05

Actually you can also just call qmake with PREFIX=/usr and then use make install INSTALL_ROOT="${pkgdir}" now, see https://github.com/pencil2d/pencil/pull/671#issuecomment-301484555. This will install the upstream desktop entry, MIME package and icon. It will currently also install the static QuaZIP library though, which is unintended, so you should also add options=('!staticlibs') to the PKGBUILD.

Popolon commented on 2017-07-05 07:49

There is an error in the PKGBUILD:
app/Pencil2D
Need to be replaced by
bin/Pencil2D

RastaManKing commented on 2016-05-30 01:03

thankyou very much!

benjarobin commented on 2016-05-29 11:06

Fixed in git : https://github.com/pencil2d/pencil/pull/507

RastaManKing commented on 2016-05-29 09:56

i get the following error...

pencilapplication.cpp:4:31: fatal error: PencilApplication.h: No such file or directory
#include "PencilApplication.h"
^

Makefile:71: recipe for target 'sub-app-make_first' failed
make: *** [sub-app-make_first] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build pencil2d-git.

lyoneel commented on 2015-02-11 13:51

Why this is making conflict with pencil - Sketching and GUI prototyping tool?

maybe the conflicting package is pencilanimation? and i think this will need to provide "pencil2d" and not pencil.

lyoneel commented on 2015-02-11 13:51

Why this is making conflict with pencil - Sketching and GUI prototyping tool?

maybe the conflicting package is pencilanimation? and i think this will need to provide "pencil2d" and not pencil.

echinotrix commented on 2014-07-06 18:15

Did not compile for me.
make[1]: /usr/lib/qt/bin/lrelease: Command not found
Adding qt5-tools helped, maybe it should be added as a dependency?

All comments